# ~*~ coding: utf-8 ~*~
#-
# Copyright © 2013, 2016
#       Dominik George <nik@naturalnet.de>
#
# Provided that these terms and disclaimer and all copyright notices
# are retained or reproduced in an accompanying document, permission
# is granted to deal in this work without restriction, including un‐
# limited rights to use, publicly perform, distribute, sell, modify,
# merge, give away, or sublicence.
#
# This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
# the utmost extent permitted by applicable law, neither express nor
# implied; without malicious intent or gross negligence. In no event
# may a licensor, author or contributor be held liable for indirect,
# direct, other damage, loss, or other issues arising in any way out
# of dealing in the work, even if advised of the possibility of such
# damage or existence of a defect, except proven that it results out
# of said person’s immediate fault when using the work as intended.

""" Functions and code to parse various input formats into
(frequency, duration) tuples for floppi.drive.MusicalFloppy.tone.

All functions take different input formats, but return a list
of (frequency, duration) tuples, suitable for passing to
floppi.drive.MusicalFloppy.play.
"""

from mmllib.parser import mml_file, mml_file_meta

def get_music_parser(path):
    """ Return a tuple of meta and notes parser for file at path. """

    if path.endswith(".mml"):
        return (mml_file, mml_file_meta)
